<?php
session_start();
$where 					= " WHERE 1=1 ";
$next_page_condition 	= "";
$paging ="";
if($_REQUEST['start']){
	$paging .="&start=".$_REQUEST['start'];
} 
$enquiry_id = utility::app_crypt($_REQUEST['enquiry_id'],'d');
if($_REQUEST['id'] != $enquiry_id){
	die("Invaild URL");
}
$restricted_groups = [13, 15, 16];
$can_view = !in_array($_SESSION['admin_group_id'], $restricted_groups);
###########################################  STRAT FILTER CONDITIONS    #####################################
$work_order_no 	= isset($_REQUEST['work_order_no']) ? $_REQUEST['work_order_no'] : "";
if($work_order_no) {
    $where	.= " AND work_order_no = '$work_order_no' ";
    $next_page_condition.="&work_order_no=$work_order_no";
}
$engineer_id 	= isset($_REQUEST['engineer_id']) ? $_REQUEST['engineer_id'] : "";
if($engineer_id) {
    $where	.= " AND engineer_id = '$engineer_id' ";
    $next_page_condition.="&engineer_id=$engineer_id";
}
$from_date = isset($_REQUEST['from_date']) ? utility::setFormatedDate($_REQUEST['from_date']) : "";
	$to_date = isset($_REQUEST['to_date']) ? utility::setFormatedDate($_REQUEST['to_date']) : "";
	if($from_date && $to_date){
		$where .= " AND work_order_sched_date BETWEEN '$from_date 00:00:00' and '$to_date 23:59:59' ";
		$next_page_condition.="&from_date=".$_REQUEST['from_date']."&to_date=".$_REQUEST['to_date']." ";
	}else if($from_date){
		$where.= " AND work_order_sched_date >= '$from_date' ";
		$next_page_condition.="&from_date=".$_REQUEST['from_date'];
	}else if($to_date){
		$where.= " AND work_order_sched_date <= '$to_date' ";
		$next_page_condition.="&to_date=".$_REQUEST['to_date'];
	}
###########################################  	END  FILTER CONITIONS 	#####################################
###########################################  PAGING WITH PER PAGE  #####################################
$file_name		= "index"; // this is file name which is used during paging  , included at the bottom of the page
$table_name		= "work_order_assign";
$paging_table_name	= $table_name;
$paging_query		= $where;
$join_query_for_paging = "SELECT * FROM $table_name  $where ";
$page_header = "Engineer Assign Works Order ";
include("paging/paging_query.inc.php");
############################################ END PAGING WITH PER PAGE  #######################################
$query = "SELECT * FROM $table_name $where ORDER BY id DESC LIMIT $eu, $limit";
$sql=mysqli_query($conn,$query);
$result=mysqli_num_rows($sql);

$total_no_of_records = mysqli_num_rows(mysqli_query($conn,$join_query_for_paging));
#################################   DELETE    #########################################
// when we click on delete this area of php code will execute
if(isset($_REQUEST['action']) && $_REQUEST['action']=='delete')
{
	mysqli_query($conn,"DELETE FROM $table_name WHERE id = '".$_REQUEST['id']."' ");
	
	$_SESSION['info_message'] = "Order deleted successfully";
	header("location: $file_name?page=view".$next_page_condition.$paging);
	exit();
}
#################################  END DELETE    #########################################
?>

<div class="content-header">
    <div class="container-fluid">
        <div class="row mb-2">
            <div class="col-sm-12">
                <h1 class="m-0"><?=$page_header;?></h1>
            </div>
        </div>
        <!-- /.row -->
    </div>
    <!-- /.container-fluid -->
</div>
<section class="content">
	<div class="container-fluid">
		<div class="row">
			<div class="col-lg-12">
				<div class="card">
					<!----------------------- Message ------------------------------->
					<? if(isset($_SESSION['info_message'])){ ?>
					  <div class="alert alert-info alert-dismissable">
						<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
						<? echo $_SESSION['info_message']; unset($_SESSION['info_message']);?>
					  </div>
					  <? } ?>
					<!----------------------- End Message ------------------------------->
					<div class="">
						<div class="card-body">
						<!-- search form -->
						<?php include_once('asign_management_search_options.inc.php');?>
						<!-- /.search form -->
						Total No. of Works Order: <?=$total_no_of_records;?>
						
							<form action="index?page=add" method="post" name="form1" id="form1">
							<div class="card-footer">
							<?php if($can_view){ ?>
							   <button type="submit" name="add" class="btn btn-primary">Assign Work Order</button>
							<?php } ?> 
							   <?/* if(!$is_archive){ ?>
								<button type="button" name="archive_cause" id="archive_cause" class="btn btn-warning pull-right" style="float:right;">Archive</button>
								<? }else{ ?>
								<button type="button" name="unarchive_cause" id="unarchive_cause" class="btn btn-warning pull-right" style="float:right;">Unarchive</button>
								<? }*/ ?>
							</div>
							<? if($result>0){?>
							<div class="table-responsive">
							 <table id="example1" class="table table-bordered table-striped">
								<thead>
								  <tr>
									<!--<th>#</th>-->
									<th>Customer</th>
									<th>Part Number</th>
									<th>Works Order No</th>
									<th>Machine Scheduled</th>
									<th class="" style="">Works Order Scheduled</th>
									<th class="" style="">Engineer</th>
									<?php if($can_view){ ?>
									<th class="text-center">Delete</th>
									<?php } ?>
								  </tr>
								</thead>
								<tbody>
									<?
										while($row =mysqli_fetch_array($sql)){ 
										$row=utility::validate_crypt_data($row);
									?>
								  <tr>
								    <td><?php echo  $gsi->getCustomerById($row["customer_id"]); ?></td>
								    <td><?php echo  $gsi->getPartNumberById($row["part_id"]); ?></td>
								    <td><?php echo  $gsi->getworkOrderNewById($row["work_order_no"]); ?></td>
									<td ><?php echo  $gsi->getStationById($row["machine_id"]);?></td>
									<td ><?php echo Utility::getFormatedDate($row["work_order_sched_date"]);?></td>
									<td ><?php echo $gsi->getEmployeeById($row["engineer_id"]);?></td>
									
									<td class="text-center hide"><a href="index?page=add&action=edit&enquiry_id=<?=urlencode(utility::app_crypt($row['id'],'e'));?>&id=<?=$row['id'].$next_page_condition.$paging;?>"> <i class="fa fa-fw fa-edit text-primary"></i> </a></td>
									<?php if($can_view){ ?>
									<td class="text-center"><a href="index?page=view&action=delete&enquiry_id=<?=urlencode(utility::app_crypt($row['id'],'e'));?>&id=<?=$row['id'].$next_page_condition.$paging; ?>"onclick=" javascript:return confirm('Are you sure you want to delete?');"><i class="fa fa-fw fa-trash text-danger"></i> </a></td>
									<?php } ?>
								  </tr>
									<? } ?>
									
								</tbody>
							 </table>
							 </div>
							 <? }else{ ?>
								No Order found...
							 <? } ?>
							<div class="box-footer clearfix">
								<!-- Paging starts here  -->
								<? 
								$next_page_condition .="&page=view";
								include("paging/paging_row.inc.php") 
								?>
								<!-- Paging ends starts here  -->
							</div>
						</div>
						</form>
					</div>
				</div>
			</div>
		</div>
	</div>
</section>

<script type="text/javascript">
$(function () {
	$(".close_button").click(function(){
		$(".modal_iframe").attr("src","");
	});
	///////////////////////////// START ARCHIVING/UNARCHIVING cause///////////////////////////////////////
	$("#archive_cause").click(function(){
		if ($(".checkbox:checked").length == 0){
			alert("Please select cause");
			return false;
		}
		if(confirm("Are you sure you want archive the selected cause(s).")){
			$('#form1').attr("action","index?page=view&action=archive<?=$next_page_condition.$paging;?>");
			$('#form1').submit();
		}
	});
	$("#unarchive_cause").click(function(){
		if ($(".checkbox:checked").length == 0){
			alert("Please select cause");
			return false;
		}
		if(confirm("Are you sure you want unarchive the selected cause(s).")){
			$('#form1').attr("action","index?page=view&action=unarchive<?=$next_page_condition.$paging;?>");
			$('#form1').submit();
		}
	});
	///////////////////////////// START ARCHIVING/UNARCHIVING cause///////////////////////////////////////
	$('#check_all').click(function(){
        if($("#check_all:checked").length == 1){
            $('.checkbox').prop( "checked", true );
        }else{
            $('.checkbox').prop( "checked", false );
        }
    });
});
</script>